org.apache.ignite.internal.processors.cache

## Interface GridCacheProxy<K,V>

All Superinterfaces:
  CacheProjection<K,V>, GridCache<K,V>, GridCacheProjectionEx<K,V>, Iterable<javax.cache.Cache.Entry<K,V>>

All Known Implementing Classes:
  GridCacheProxyImpl

    public interface GridCacheProxy<K,V>
    extends GridCache<K,V>, GridCacheProjectionEx<K,V>

Cache proxy marker interface.

### Method Summary

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCache

`affinity, affinityNode, configuration, forceRepartition, metrics, mxBean, offHeapAllocatedSize, offHeapEntriesCount, offHeapIterator, overflowSize, randomEntry, swapIterator, swapKeys, swapSize, txSynchronizations, txSynchronize, txUnsynchronize`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheProjectionEx

`context, entrySetx, expiry, forSubjectId, get, getAllOutTx, getAllOutTxAsync, getForcePrimary, getForcePrimaryAsync, igfsDataSpaceMax, igfsDataSpaceUsed, invoke, invokeAll, invokeAll, invokeAllAsync, invokeAllAsync, invokeAsync, isIgfsDataCache, isMongoDataCache, isMongoMetaCache, localLoadCache, localLoadCacheAsync, predicate, primaryEntrySetx, put, putAllConflict, putAllConflictAsync, putAsync, putx, putxAsync, remove, removeAllConflict, removeAllConflictAsync, removeAsync, removex, removex, removexAsync, removexAsync, replacex, replacexAsync, withExpiryPolicy`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.CacheProjection

`cache, clear, clear, clear, clearAll, clearAsync, clearAsync, clearAsync, clearLocally, clearLocally, clearLocallyAll, containsKey, containsKeyAsync, containsKeys, containsKeysAsync, containsValue, entry, entrySet, entrySet, evict, evictAll, evictAll, flags, flagsOff, flagsOn, get, getAll, getAllAsync, getAsync, globalPrimarySize, globalSize, gridProjection, isEmpty, isLocked, isLockedByThread, keepPortable, keySet, keySet, localEntries, localPeek, localRemoveAll, localSize, lock, lockAll, lockAllAsync, lockAsync, name, nearSize, peek, peek, primaryEntrySet, primaryKeySet, primarySize, primaryValues, projection, projection, promote, promoteAll, put, putAll, putAllAsync, putAsync, putIfAbsent, putIfAbsentAsync, putx, putxAsync, putxIfAbsent, putxIfAbsentAsync, queries, reload, reloadAsync, remove, remove, removeAll, removeAll, removeAllAsync, removeAllAsync, removeAsync, removeAsync, removex, removexAsync, replace, replace, replaceAsync, replaceAsync, replacex, replacexAsync, size, size, sizeAsync, toMap, tx, txStart, txStart, txStart, txStartEx, unlock, unlockAll, values`

### Methods inherited from interface java.lang.Iterable

`iterator`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015